Home
Support Forums

Gatsby: Style Unknown word

Hey everyoneHey everyone,

the problem is the deployment of the app on the netlify server.
this builds locally and upload by netlify-cli

  • Gatsby v3 and v4
  • Node 16.x
  • WordPress
  • SCSS
4:21:43 PM: success write out requires - 0.064s
4:22:34 PM: failed Building production JavaScript and CSS bundles - 51.696s
4:22:34 PM: error Generating JavaScript bundles failed
4:22:34 PM: styles.e3052f07441ec69db94a.css from Css Minimizer
4:22:34 PM: /opt/build/repo/styles.e3052f07441ec69db94a.css:555:5: Unknown word [styles.e3052f07441ec69db94a.css:555,5]
4:22:34 PM:     at Input.error (/opt/build/repo/node_modules/postcss/lib/input.js:123:16)
4:22:34 PM:     at Parser.unknownWord (/opt/build/repo/node_modules/postcss/lib/parser.js:518:22)
4:22:34 PM:     at Parser.other (/opt/build/repo/node_modules/postcss/lib/parser.js:149:12)
4:22:34 PM:     at Parser.parse (/opt/build/repo/node_modules/postcss/lib/parser.js:59:16)
4:22:34 PM:     at parse (/opt/build/repo/node_modules/postcss/lib/parse.js:11:12)
4:22:34 PM:     at new LazyResult (/opt/build/repo/node_modules/postcss/lib/lazy-result.js:133:16)
4:22:34 PM:     at Processor.process (/opt/build/repo/node_modules/postcss/lib/processor.js:36:12)
4:22:34 PM:     at cssnanoMinify (eval at transform (/opt/build/repo/node_modules/css-minimizer-webpack-plugin/dist/minify.js:34:28), <anonymous>:51:61)
4:22:34 PM:     at minify (/opt/build/repo/node_modules/css-minimizer-webpack-plugin/dist/minify.js:15:32)
4:22:34 PM:     at Object.transform (/opt/build/repo/node_modules/css-minimizer-webpack-plugin/dist/minify.js:35:24)
{
  "name": "gatsby-starter-default",
  "private": true,
  "description": "A simple starter to get up and developing quickly with Gatsby",
  "version": "0.1.0",
  "author": "Kyle Mathews <mathews.kyle@gmail.com>",
  "dependencies": {
    "@apollo/react-hooks": "^4.0.0",
    "@fortawesome/fontawesome-svg-core": "^1.2.36",
    "@fortawesome/free-brands-svg-icons": "^5.15.4",
    "@fortawesome/free-solid-svg-icons": "^5.15.4",
    "@fortawesome/react-fontawesome": "^0.1.16",
    "@reach/router": "^1.3.4",
    "@stripe/stripe-js": "^1.20.3",
    "@typeform/embed": "^1.20.2",
    "@typeform/embed-react": "^1.1.3",
    "@types/react": "^17.0.33",
    "@webkrafters/ordercss": "^1.1.8",
    "apollo-boost": "^0.4.9",
    "bootstrap": "^5.1.3",
    "exit-intent": "^1.1.0",
    "gatsby": "^4.0.2",
    "gatsby-codemods": "^3.0.0",
    "gatsby-plugin-client-side-redirect": "^1.1.0",
    "gatsby-plugin-facebook-pixel": "^1.0.8",
    "gatsby-plugin-google-analytics": "^4.0.0",
    "gatsby-plugin-google-tagmanager": "^4.0.0",
    "gatsby-plugin-image": "^2.0.0",
    "gatsby-plugin-instagram-embed": "^3.0.0",
    "gatsby-plugin-mailchimp": "^5.2.2",
    "gatsby-plugin-manifest": "^4.0.0",
    "gatsby-plugin-offline": "^5.0.0",
    "gatsby-plugin-react-helmet": "^5.0.0",
    "gatsby-plugin-react-helmet-canonical-urls": "^1.4.0",
    "gatsby-plugin-react-svg": "^3.1.0",
    "gatsby-plugin-robots-txt": "^1.6.14",
    "gatsby-plugin-sass": "^5.0.0",
    "gatsby-plugin-sharp": "^4.0.1",
    "gatsby-plugin-sitemap": "^5.0.0",
    "gatsby-plugin-svgr-loader": "^0.1.0",
    "gatsby-source-filesystem": "^4.0.0",
    "gatsby-source-wordpress": "^6.0.0",
    "gatsby-transformer-sharp": "^4.0.0",
    "graphql": "^16.0.0",
    "md5": "^2.3.0",
    "netlify-cli": "^6.14.7",
    "node-sass": "^6.0.1",
    "prop-types": "^15.7.2",
    "react": "^17.0.2",
    "react-bootstrap": "^2.0.1",
    "react-dom": "^17.0.2",
    "react-helmet": "^6.1.0",
    "react-player": "^2.9.0",
    "react-redux": "^7.2.6",
    "react-share": "^4.4.0",
    "react-slick": "^0.28.1",
    "sass": "^1.43.4",
    "slick-carousel": "^1.8.1",
    "to": "^0.2.9",
    "typography": "^0.16.21",
    "update": "^0.7.4",
    "uuid": "^8.3.2",
    "webpack-filter-warnings-plugin": "^1.2.1"
  },
  "devDependencies": {
    "@babel/core": "^7.16.0",
    "@babel/plugin-proposal-object-rest-spread": "^7.16.0",
    "@babel/preset-env": "^7.16.0",
    "babel-loader": "v8.2.3",
    "gatsby-plugin-image": "^2.0.0",
    "prettier": "2.4.1"
  },
  "peerDependencies": {
    "gatsby": "^4.0.2",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "typescript@": "^4.4.4"
  },
  "keywords": [
    "gatsby"
  ],
  "license": "0BSD",
  "scripts": {
    "build": "gatsby build",
    "develop": "gatsby develop",
    "format": "prettier --write \"**/*.{js,jsx,ts,tsx,json,md}\"",
    "start": "npm run develop",
    "serve": "gatsby serve",
    "clean": "gatsby clean",
    "test": "echo \"Write tests! -> https://gatsby.dev/unit-testing\" && exit 1",
    "netlify build": "netlify build",
    "netlify branch deploy": "netlify deploy --build --site=${60fb5adf-4d56-4a10-952d-7b13c661bc21} --alias=dev --message=dev"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/gatsbyjs/gatsby-starter-default"
  },
  "bugs": {
    "url": "https://github.com/gatsbyjs/gatsby/issues"
  }
}

Hi @looping030993,

Do you have a site and a repo we can look at?

Deploys for eloquent-tereshkova-c6e400
live website: https://furlough.com/
dev website: https://dev--eloquent-tereshkova-c6e400.netlify.app/

please help with it
I cannot update content via wordpress,
building an app only manually

Hi @looping030993,

Did you check these threads:

In all those examples, this seems like a user-generated error. Could you share your repo?